Skip to main content

AI Seats

Manage AI feature access for team members.

GET /api/teams/{id}/ai/seats

Get team's AI seat assignments.

Response:

{
"_links": {
"self": { "href": "/api/teams/{id}/ai/seats" }
},
"_embedded": {
"inf:ai-seat": [
{
"userId": "john.doe",
"teamId": "team:analytics",
"assignedAt": "2024-01-15T10:00:00Z",
"expiresAt": null,
"_embedded": {
"inf:user": {
"username": "john.doe",
"displayName": "John Doe"
}
}
}
]
},
"start": 0,
"count": 1,
"total": 1,
"available": 8,
"assigned": 2
}

GET /api/teams/{id}/ai/seats/counts

Get seat count summary.

Response:

{
"total": 10,
"assigned": 2,
"available": 8
}

POST /api/teams/{id}/ai/seats/_assign

Assign AI seats to users.

Permissions: Team admin

Request Body:

{
"usernames": ["jane.doe", "bob.smith"]
}

Response:

{
"assigned": 2,
"failed": []
}

POST /api/teams/{id}/ai/seats/_unassign

Unassign AI seats from users.

Permissions: Team admin

Request Body:

{
"usernames": ["old.user"]
}

Response:

{
"unassigned": 1
}

Use Case:

Control which team members have access to AI features like assistants and chat.